> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenarch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transactions

> Paginated x402 USDC transaction history for a publisher site — agent wallet, amount, timestamp, and gate URL per on-chain transaction.

<RequestExample>
  ```bash theme={null}
  curl "https://xenarch.dev/v1/sites/b2c3d4e5.../transactions?period=7d&status=paid&page=1&per_page=20" \
    -H "Authorization: Bearer xk_pub_abc123..."
  ```
</RequestExample>

## Query parameters

| Parameter  | Values                               | Default |
| ---------- | ------------------------------------ | ------- |
| `period`   | `24h`, `7d`, `30d`, `all`            | `all`   |
| `status`   | `paid`, `blocked`, `withdraw`, `all` | `all`   |
| `page`     | Integer                              | `1`     |
| `per_page` | Integer                              | `20`    |


## OpenAPI

````yaml GET /v1/sites/{site_id}/transactions
openapi: 3.1.0
info:
  title: Xenarch Platform
  version: 0.1.0
servers: []
security: []
paths:
  /v1/sites/{site_id}/transactions:
    get:
      tags:
        - sites
      summary: Get Transactions
      operationId: get_transactions_v1_sites__site_id__transactions_get
      parameters:
        - name: site_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Site Id
        - name: period
          in: query
          required: false
          schema:
            type: string
            pattern: ^(24h|7d|30d|all)$
            default: all
            title: Period
        - name: status
          in: query
          required: false
          schema:
            type: string
            pattern: ^(paid|blocked|withdraw|all)$
            default: all
            title: Status
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 25
            title: Per Page
        - name: authorization
          in: header
          required: true
          schema:
            type: string
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteTransactionsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SiteTransactionsResponse:
      properties:
        transactions:
          items:
            $ref: '#/components/schemas/TransactionItem'
          type: array
          title: Transactions
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        per_page:
          type: integer
          title: Per Page
      type: object
      required:
        - transactions
        - total
        - page
        - per_page
      title: SiteTransactionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TransactionItem:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        type:
          type: string
          title: Type
          default: gate
        path:
          type: string
          title: Path
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        amount_usd:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Usd
        status:
          type: string
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - path
        - amount_usd
        - status
        - created_at
      title: TransactionItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````